;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: PWM8_5.inc
;;   Version: 2.5, Updated on 2006/05/15 at 15:09:31
;;  Generated by PSoC Designer ver 4.4  b1884 : 14 Jan, 2007
;;
;;  DESCRIPTION: Assembler declarations for the PWM8 user module interface
;;               for the 22/24/27/29xxx PSoC family of devices
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress MicroSystems 2000-2004. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************

include "m8c.inc"


;--------------------------------------------------
; Constants for PWM8_5 API's.
;--------------------------------------------------

PWM8_5_CONTROL_REG_START_BIT:              equ 0x01    ; Control register start bit
PWM8_5_INT_REG:                            equ 0x0e1
PWM8_5_INT_MASK:                           equ 0x10


;--------------------------------------------------
; Constants for PWM8_5 user defined values
;--------------------------------------------------

PWM8_5_PERIOD:                             equ 0x1f
PWM8_5_PULSE_WIDTH:                        equ 0x00


;--------------------------------------------------
; Register Address Constants for PWM8_5
;--------------------------------------------------

PWM8_5_COUNTER_REG:                    equ 0x30   ; DR0 Count register
PWM8_5_PERIOD_REG:                     equ 0x31   ; DR1 Period register
PWM8_5_COMPARE_REG:                    equ 0x32   ; DR2 Compare register
PWM8_5_CONTROL_REG:                    equ 0x33   ; Control register
PWM8_5_FUNC_REG:                       equ 0x30   ; Function register
PWM8_5_INPUT_REG:                      equ 0x31   ; Input register
PWM8_5_OUTPUT_REG:                     equ 0x32   ; Output register


;--------------------------------------------------
; PWM8_5 Macro 'Functions'
;--------------------------------------------------

   macro PWM8_5_Start_M
   or    reg[PWM8_5_CONTROL_REG],  PWM8_5_CONTROL_REG_START_BIT
   endm

   macro PWM8_5_Stop_M
   and   reg[PWM8_5_CONTROL_REG], ~PWM8_5_CONTROL_REG_START_BIT
   endm

   macro PWM8_5_EnableInt_M
   M8C_EnableIntMask PWM8_5_INT_REG, PWM8_5_INT_MASK
   endm

   macro PWM8_5_DisableInt_M
   M8C_DisableIntMask PWM8_5_INT_REG, PWM8_5_INT_MASK
   endm


; end of file PWM8_5.inc
